Subject: MHI 501 F Disposition Planning
From: [email-masked]
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 19 Jul 2001 15:50:15 -0700 (PDT)

With the shipment of two of the four units from MHI scheduled for August and no viable place to ship them, our exposure to increasing costs associated with these units will start to climb quickly.  We need to move agressively to minimize our risk in this position.

Based on discussion with a number of people, I would strongly recommend that we make full efforts to sell units 1 and 2 as quickly as possible.  John Garrison has identified a number of potential buyers, and I believe that Brett Wiggs in in communication with one or more of them as we speak.

We should inform MHI that we will now target unit 3 for Fort Pierce, given the slowdown in the Fort Pierce schedule and the inability to get further reductions in pricing from MHI on unit 1.  If we also drop the dual fuel requirement for Fort Pierce, we should provide some project savings to that project.  Prior to informing MHI, we shoud have Jackson Chaeng status the auxiliaries for unit 3 so we have a basis for understanding any appropriate cancellation costs.

I also recommend that we tentatively target unit 4 for Tallahassee, unless sale of units 1 and 2 were contingent on delivering a 3rd unit to a buyer.  In the next three weeks we will review Tallahassee versus best turbine fit and availability of alternative equipment to determine if we want to continue to target unit 4 to that project.

Finally, MHI has requested that we allow an extention of ship date for unit 1 from August 2 to the end of August.  I think it is in our best interests to agree to that directly, given that we can't tell them where to ship it and would immediately face claims for storage costs if we insist on an August 2 ship date.  We should ask that they forgo storage costs on auxiliaries until the later ship date.

Probably everyone knows some of this, and some know all of this, but hopefully the overall picture is of value.

Thanks!

Mike Coleman